ChunkPool Class Reference

## Public Member Functions

Exponent * | allocate ()
void | deallocate (Exponent *chunk)
void | clear ()
| ~ChunkPool ()

## Private Attributes

vector< Exponent * > | _chunks

## Detailed Description

Definition at line 703 of file Ideal.cpp.

## Constructor & Destructor Documentation

## ~ChunkPool()

ChunkPool::~ChunkPool | ( |  | ) |

inline

Definition at line 730 of file Ideal.cpp.

## Member Function Documentation

## allocate()

Exponent * ChunkPool::allocate | ( |  | ) |

inline

Definition at line 705 of file Ideal.cpp.

## clear()

void ChunkPool::clear | ( |  | ) |

inline

Definition at line 724 of file Ideal.cpp.

## deallocate()

void ChunkPool::deallocate | ( | Exponent * | chunk | ) |

inline

Definition at line 714 of file Ideal.cpp.

## Member Data Documentation

## _chunks

vector<Exponent*> ChunkPool::_chunks

private

Definition at line 735 of file Ideal.cpp.

The documentation for this class was generated from the following file:

- src/Ideal.cpp